package com.friday.custody.service.AmbersService.Impl;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.friday.custody.dao.ShareInfoDao;
import com.friday.custody.entity.ShareInfoEntity;
import com.friday.custody.service.AmbersService.ShareInfoService;
import com.friday.custody.utils.PageUtils;
import com.friday.custody.utils.Query;
import org.springframework.stereotype.Service;

import java.util.Map;


@Service("shareInfoService")
public class ShareInfoServiceImpl extends ServiceImpl<ShareInfoDao, ShareInfoEntity> implements ShareInfoService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<ShareInfoEntity> page = this.page(
                new Query<ShareInfoEntity>().getPage(params),
                new QueryWrapper<ShareInfoEntity>()
        );

        return new PageUtils(page);
    }

}